Bug 193246 - Writer: Letter Wizard crashes when accessibility is enabled
Writer: Letter Wizard crashes when accessibility is enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 11:16 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-31 17:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 65852 None None None Never

  None (edit)
Description Dave Malcolm 2006-05-26 11:16:40 EDT
Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.3-2.1

How reproducible:
100%

Steps to Reproduce:
1. Enable accessibility
2. Start oowriter
3. File->Wizards->Letter Wizard...
4. Click "Next >" on each page
5. Click Finish
6. Dialog appears "This document already exists"; click "yes"
7. Mouseover the new window

Actual results:
Crash, see debug data below

Expected results:
New document should be created and usable

Additional info:
(i) Appears to affect the other document-creation wizards (Agenda, Fax, etc)

(ii) I discovered this when writing dogtail scripts to automate some of these
processes.  I'd like to turn the scripts into a test suite: do you want the script?

(iii) Haven't tried with accessibility disabled.
Debug data follows:
(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.0-17-i386
(V) kernel is: Linux 2.6.16-1.2134_FC6 #1 SMP Sun Apr 16 19:14:28 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-2.1-i386
(VII) accessibility is: true
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x1901898: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e898
0x19020d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1f0d8
0xe68420:  + 0x420 (__kernel_sigreturn + 0x0)
0xa365a1: /lib/libc.so.6 + 0x295a1 (abort + 0x101)
0x8874b28: /usr/lib/libgcj.so.7 + 0x82ab28 (_Jv_Throw + 0x58)
0x3e19a8a: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x72a8a
(VCLXAccessibleComponent::WindowEventListener(VclSimpleEvent*) + 0x48)
0x3e19aca: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x72aca
(VCLXAccessibleComponent::LinkStubWindowEventListener(void*, void*) + 0x1a)
0x2d04b42: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7bb42
0x2d1345a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a45a
(VclEventListeners::Call(VclSimpleEvent*) const + 0x36)
0x2e4c555: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c3555
(Window::CallEventListeners(unsigned long, void*) + 0x69)
0x2e4c5f1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c35f1
(Window::ImplCallEventListeners(unsigned long, void*) + 0x1d)
0x2e674dc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1de4dc
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x34)
0x2e5d523: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d4523
(Button::Click() + 0x25)
0x2e6256d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d956d
(PushButton::Tracking(TrackingEvent const&) + 0x13d)
0x2e5bc31: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d2c31
(Window::EndTracking(unsigned short) + 0x107)
0x2e574fe: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1ce4fe
0x2e58d97: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cfd97
0x2e57bc8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cebc8
0x8009e9a: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x30e9a
0x800849f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2f49f
0x21f95f2: /usr/lib/libgtk-x11-2.0.so.0 + 0x14d5f2
0x4164fdb: /usr/lib/libgobject-2.0.so.0 + 0x8fdb (g_closure_invoke + 0x12b)
0x4177285: /usr/lib/libgobject-2.0.so.0 + 0x1b285
0x4178596: /usr/lib/libgobject-2.0.so.0 + 0x1c596 (g_signal_emit_valist + 0x6d6)
0x4178989: /usr/lib/libgobject-2.0.so.0 + 0x1c989 (g_signal_emit + 0x29)
0x2321b18: /usr/lib/libgtk-x11-2.0.so.0 + 0x275b18
0x21f1bde: /usr/lib/libgtk-x11-2.0.so.0 + 0x145bde (gtk_propagate_event + 0x1de)
0x21f2f95: /usr/lib/libgtk-x11-2.0.so.0 + 0x146f95 (gtk_main_do_event + 0x3b5)
0x24bf5ba: /usr/lib/libgdk-x11-2.0.so.0 + 0x465ba
0x763757d: /usr/lib/libglib-2.0.so.0 + 0x2b57d (g_main_context_dispatch + 0x16d)
0x763a80f: /usr/lib/libglib-2.0.so.0 + 0x2e80f
0x763ad75: /usr/lib/libglib-2.0.so.0 + 0x2ed75 (g_main_context_iteration + 0x65)
0x7fed013: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14013
0x465a96d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4396d
(X11SalInstance::Yield(unsigned char) + 0x27)
0x2d0caf8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83af8
(Application::Yield() + 0x48)
0x2d0cb7c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83b7c
(Application::Execute() + 0x26)
0xcf81af: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x251af
(desktop::Desktop::Main() + 0x15c1)
0x2d109be: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x879be
0x2d10a71: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x87a71 (SVMain()
+ 0x2b)
0xcf23d9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1f3d9 (sal_main +
0x5d)
0xcf2425: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1f425 (main + 0x27)
0xa225a4: /lib/libc.so.6 + 0x155a4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4d1

Note You need to log in before you can comment on or make changes to this bug.